## ros-kinetic-slic 2.1.17

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(slic)
include(ExternalProject)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
execute_process(COMMAND
  git config --global http.sslVerify false)
## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)
ExternalProject_Add(
  slic
  GIT_REPOSITORY https://github.com/garaemon/SLIC-Superpixels
  GIT_TAG 78d9a2ba7ae1d3fee8c2ec774a52536c5f08f07c
  CMAKE_COMMAND echo "configure"
  BUILD_COMMAND echo "build"
  INSTALL_COMMAND echo "install"
  )


install(CODE "execute_process(COMMAND cmake -E make_directory ${CMAKE_INSTALL_PREFIX}/incldue/)")
install(CODE "execute_process(COMMAND cmake -E copy slic.h ${CMAKE_INSTALL_PREFIX}/incldue/ WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/slic-prefix/src/slic/)")

install(CODE "execute_process(COMMAND cmake -E make_directory ${CMAKE_INSTALL_PREFIX}/lib/)")
install(CODE "execute_process(COMMAND gcc -fPIC --shared -o ${CMAKE_INSTALL_PREFIX}/lib/libslic.so ${CMAKE_CURRENT_BINARY_DIR}/slic-prefix/src/slic/slic.cpp)")

=== debian/changelog ===
ros-kinetic-slic (2.1.17-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-kinetic-slic (2.1.16-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-kinetic-slic (2.1.15-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000

ros-kinetic-slic (2.1.14-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Thu, 21 Nov 2019 00:00:00 -0000

ros-kinetic-slic (2.1.13-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Wed, 10 Jul 2019 00:00:00 -0000

ros-kinetic-slic (2.1.12-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sat, 25 May 2019 00:00:00 -0000

ros-kinetic-slic (2.1.11-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Wed, 29 Aug 2018 00:00:00 -0000

ros-kinetic-slic (2.1.10-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Wed, 25 Apr 2018 00:00:00 -0000

ros-kinetic-slic (2.1.9-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Tue, 24 Apr 2018 00:00:00 -0000

ros-kinetic-slic (2.1.8-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Tue, 17 Apr 2018 00:00:00 -0000

ros-kinetic-slic (2.1.7-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-kinetic-slic (2.1.6-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Tue, 21 Nov 2017 00:00:00 -0000

ros-kinetic-slic (2.1.5-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Mon, 20 Nov 2017 00:00:00 -0000

ros-kinetic-slic (2.1.4-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sun, 16 Jul 2017 00:00:00 -0000

ros-kinetic-slic (2.1.3-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Fri, 07 Jul 2017 00:00:00 -0000

ros-kinetic-slic (2.1.2-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Thu, 06 Jul 2017 00:00:00 -0000

ros-kinetic-slic (2.1.1-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Wed, 05 Jul 2017 00:00:00 -0000

ros-kinetic-slic (2.1.0-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sun, 02 Jul 2017 00:00:00 -0000

ros-kinetic-slic (2.0.20-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Tue, 09 May 2017 00:00:00 -0000

ros-kinetic-slic (2.0.19-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-kinetic-slic (2.0.18-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Fri, 28 Oct 2016 00:00:00 -0000

ros-kinetic-slic (2.0.17-1xenial) xenial; urgency=high

  * add cmake/cmake_modules to depends
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sat, 22 Oct 2016 00:00:00 -0000

ros-kinetic-slic (2.0.16-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Mon, 17 Oct 2016 00:00:00 -0000

ros-kinetic-slic (2.0.15-1xenial) xenial; urgency=high

  * add slic
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sun, 16 Oct 2016 00:00:00 -0000

ros-kinetic-slic (2.0.14-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sun, 20 Mar 2016 00:00:00 -0000

ros-kinetic-slic (2.0.13-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Tue, 15 Dec 2015 00:00:00 -0000

ros-kinetic-slic (2.0.12-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Thu, 26 Nov 2015 00:00:00 -0000

ros-kinetic-slic (2.0.11-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Wed, 07 Oct 2015 14:16:00 -0000

ros-kinetic-slic (2.0.10-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Wed, 07 Oct 2015 12:47:00 -0000

ros-kinetic-slic (2.0.9-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sat, 26 Sep 2015 00:00:00 -0000

ros-kinetic-slic (2.0.8-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Tue, 15 Sep 2015 00:00:00 -0000

ros-kinetic-slic (2.0.7-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Mon, 14 Sep 2015 00:00:00 -0000

ros-kinetic-slic (2.0.6-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Tue, 08 Sep 2015 00:00:00 -0000

ros-kinetic-slic (2.0.5-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sun, 23 Aug 2015 00:00:00 -0000

ros-kinetic-slic (2.0.4-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Tue, 18 Aug 2015 00:00:00 -0000

ros-kinetic-slic (2.0.3-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sat, 01 Aug 2015 00:00:00 -0000

ros-kinetic-slic (2.0.2-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Mon, 29 Jun 2015 00:00:00 -0000

ros-kinetic-slic (2.0.1-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Fri, 19 Jun 2015 21:21:00 -0000

ros-kinetic-slic (2.0.0-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Fri, 19 Jun 2015 10:41:00 -0000

ros-kinetic-slic (1.0.72-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sun, 07 Jun 2015 00:00:00 -0000

ros-kinetic-slic (1.0.71-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Sun, 17 May 2015 00:00:00 -0000

ros-kinetic-slic (1.0.70-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>  Fri, 08 May 2015 00:00:00 -0000



=== debian/control ===
Source: ros-kinetic-slic
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ca-certificates, cmake, git, libopencv-dev, openssl, ros-kinetic-cmake-modules
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-slic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev
Description: SLIC-Superpizel ROS Wrapper This file contains the class elements of the class Slic.
 This class is an implementation of the SLIC Superpixel algorithm by Achanta et al. [PAMI'12, vol. 34, num. 11, pp. 2274-2282]. This implementation is created for the specific purpose of creating over-segmentations in an OpenCV-based environment.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-slic//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
